package finger

import (
	"bytes"
	"io"
	"strings"

	sr "tildegit.org/tjp/sliderule"
)

// Error produces a finger Response containing the error message and Status 1.
func Error(msg string) *sr.Response {
	if !strings.HasSuffix(msg, "\r\n") {
		msg += "\r\n"
	}
	return &sr.Response{Body: bytes.NewBufferString(msg), Status: 1}
}

// Success produces a finger response with a Status of 0.
func Success(body io.Reader) *sr.Response {
	return &sr.Response{Body: body}
}
